# Componere\Definition::addProperty

(Componere 2 >= 2.1.0)

Componere\Definition::addProperty — Añade propiedad

### Descripción

public Componere\Definition::addProperty(string `$name`, Componere\Value `$value`): Definition

Declarará una propiedad de clase sobre la definición actual

### Parámetros

`name`

  El nombre de la propiedad distingue mayúsculas y minúsculas

`value`

  El valor por omisión de la propiedad

### Valores devueltos

La definición actual

### Exceptions

Advertencia

Lanzará RuntimeException si Definition se registró

Advertencia

Lanzará RuntimeException si `name` ya está declarada como una propiedad